Package com.sun.messaging.jms

# Class ResourceAllocationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.jms.JMSException
jakarta.jms.ResourceAllocationException
com.sun.messaging.jms.ResourceAllocationException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `Serializable`

public class ResourceAllocationException extends jakarta.jms.ResourceAllocationException implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception is thrown when a provider is unable to allocate the resources required by a method. For example, this exception should be thrown when a call to `TopicConnectionFactory.createTopicConnection` fails due to a lack of JMS provider resources.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceAllocationException(String reason, String errorCode)`
  Constructs a `ResourceAllocationException` with the specified reason and error code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  get logging state of this object.
  `void`
  `printStackTrace()`
  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `jakarta.jms.JMSException.getLinkedException()`
  `void`
  `printStackTrace(PrintStream s)`
  `void`
  `printStackTrace(PrintWriter s)`
  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`
  `void`
  `setLinkedException(Exception ex)`
  If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`.
  `void`
  `setLogState(boolean state)`
  set state to true if this object is logged.

  ### Methods inherited from class jakarta.jms.JMSException

  `getErrorCode, getLinkedException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResourceAllocationException

    public ResourceAllocationException(String reason, String errorCode)
    Constructs a `ResourceAllocationException` with the specified reason and error code.
    Parameters:
      `reason` - a description of the exception
      `errorCode` - a string specifying the vendor-specific error code

- ## Method Details

  - ### setLinkedException

    public void setLinkedException(Exception ex)

    If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`. When a backtrace of the `ResourceAllocationException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

    Overrides:
      `setLinkedException` in class `jakarta.jms.JMSException`

  - ### printStackTrace

    public void printStackTrace()

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintStream s)

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintWriter s)

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### setLogState

    public void setLogState(boolean state)
    set state to true if this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - boolean

  - ### getLogState

    public boolean getLogState()
    get logging state of this object.
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      boolean true if this object is logged.